Package com.ngrok.services

# Class TcpEdgeBackendModule

java.lang.Object
com.ngrok.services.TcpEdgeBackendModule

public class TcpEdgeBackendModule extends Object
An API client for `TcpEdgeBackendModule`. See also https://ngrok.com/docs/api#api-tcp-edge-backend-module.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `TcpEdgeBackendModule.DeleteCallBuilder`
  A builder object encapsulating state for an unsent Delete API call.
  `class`
  `TcpEdgeBackendModule.GetCallBuilder`
  A builder object encapsulating state for an unsent Get API call.
  `class`
  `TcpEdgeBackendModule.ReplaceCallBuilder`
  A builder object encapsulating state for an unsent Replace API call.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TcpEdgeBackendModule(NgrokApiClient apiClient)`
  Creates a new sub-client for TcpEdgeBackendModule.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TcpEdgeBackendModule.DeleteCallBuilder`
  `delete(String id)`
  Creates a call builder for the Delete API operation.
  `TcpEdgeBackendModule.GetCallBuilder`
  `get(String id)`
  Creates a call builder for the Get API operation.
  `TcpEdgeBackendModule.ReplaceCallBuilder`
  `replace(String id)`
  Creates a call builder for the Replace API operation.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TcpEdgeBackendModule

    public TcpEdgeBackendModule(NgrokApiClient apiClient)
    Creates a new sub-client for TcpEdgeBackendModule.
    Parameters:
      `apiClient` - an instance of `NgrokApiClient`

- ## Method Details

  - ### replace

    public TcpEdgeBackendModule.ReplaceCallBuilder replace(String id)
    Creates a call builder for the Replace API operation. See also https://ngrok.com/docs/api#api-tcp-edge-backend-module-replace.
    Parameters:
      `id` - the value of the `id` parameter as a `String`
    Returns:
      a call builder for this API call

  - ### get

    public TcpEdgeBackendModule.GetCallBuilder get(String id)
    Creates a call builder for the Get API operation. See also https://ngrok.com/docs/api#api-tcp-edge-backend-module-get.
    Parameters:
      `id` - a resource identifier
    Returns:
      a call builder for this API call

  - ### delete

    public TcpEdgeBackendModule.DeleteCallBuilder delete(String id)
    Creates a call builder for the Delete API operation. See also https://ngrok.com/docs/api#api-tcp-edge-backend-module-delete.
    Parameters:
      `id` - a resource identifier
    Returns:
      a call builder for this API call